/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserLoggedIn.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserLoggedIn extends FieldAccessor implements DataInfo<UserLoggedInKey>
{
	private UserLoggedInKey	key;
	private String			workStationName;
	private Timestamp		loggedInTime;
	private String			loggedInUiVersion;

	public UserLoggedIn()
	{
	}

	public UserLoggedIn(UserLoggedInKey key, String workStationName, Timestamp loggedInTime)
	{
		this.key = key;
		this.workStationName = workStationName;
		this.loggedInTime = loggedInTime;
	}

	public UserLoggedInKey getKey()
	{
		return key;
	}

	public void setKey(UserLoggedInKey key)
	{
		this.key = key;
	}

	public String getWorkStationName()
	{
		return workStationName;
	}

	public void setWorkStationName(String workStationName)
	{
		this.workStationName = workStationName;
	}

	public Timestamp getLoggedInTime()
	{
		return loggedInTime;
	}

	public void setLoggedInTime(Timestamp loggedInTime)
	{
		this.loggedInTime = loggedInTime;
	}

	public void setLoggedInUiVersion(String uiVersion) {
	}

	public void setDeamon(String deamon) {
	}

	public String getLoggedInUiVersion() {
		return loggedInUiVersion;
	}
}
